function [u v] = velocity(x, y, vortexArray)
% This function takes in a single x and single y and converts them to
% vector u and v 

u = 0;
v = 0;
uTheta = 0;
for i = 1:size(vortexArray,1);
    % x (i) is the next variable of x in the vortexArray
    % example 1st loop then x is equal to row one, column one 
    X = vortexArray (i,1);
    
    % y (i) is the next variable of x in the vortexArray
    % example 1st loop then x is equal to row one, column two
    Y = vortexArray (i,2);
    
    % gamma (i) is the next variable of gamma in the vortexArray
    % example 1st loop then gamma is equal to row one, column three
    g = vortexArray (i,3);
    
    r = (sqrt(((x-X)^2)+(y-Y)^2));
    
    uTheta = (g/(2*pi*r));
    
    % converts x and y to theta
    theta = atan2(y-Y,x-X);
    
    s = (-sin(theta));
    u = u + uTheta*s;
    
    c = (cos(theta));
    v = v + uTheta*c;
end
end





